AutoCAD.Circle
Inherits from AutoCAD.Entity
Description
A class that encapsulates a circle in a DWG file.
This class is a FlexScript wrapper for the AcDbCircle class.
AutoCAD.Database db = AutoCAD.Database("C:\\Path\\to\\my\\file.dwg");
if (!db)
return 0;
var iter = db.getBlockTable().getAt("*Model_Space").newIterator();
for (iter.start(); !iter.done(); iter.step()) {
var ent = iter.getEntity();
if (ent.is(AutoCAD.Circle)) {
var circle = ent.as(AutoCAD.Circle);
Vec3 startPoint = circle.startPoint;
Vec3 endPoint = circle.endPoint;
Vec3 center = circle.center;
double radius = circle.radius;
double diameter = circle.diameter;
double circumference = circle.circumference;
...
}
}
Properties
center | The center point of the circle. |
circumference | The circumference of the circle. |
diameter | The diameter of the circle. |
endPoint | The end point of the circle. |
radius | The radius of the circle. |
startPoint | The start point of the circle. |
Methods
create | Creates a new AutoCAD.Circle object. |
Details
Do no remove, this fixes the anchor on doc.flexsim.com
Do no remove, this fixes the anchor on doc.flexsim.com
Do no remove, this fixes the anchor on doc.flexsim.com
Do no remove, this fixes the anchor on doc.flexsim.com
Do no remove, this fixes the anchor on doc.flexsim.com
Do no remove, this fixes the anchor on doc.flexsim.com
Do no remove, this fixes the anchor on doc.flexsim.com
AutoCAD.Circle.create()
AutoCAD.Circle create( ) |
Returns
AutoCAD.Circle | A new AutoCAD.Circle object. |
Description
Creates a new AutoCAD.Circle object.
var circle = AutoCAD.Circle.create();